Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class ExampleFileFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter
            |
            +--ccl.swing.ExampleFileFilter

public class ExampleFileFilter
extends javax.swing.filechooser.FileFilter

A convenience implementation of FileFilter that filters out all files except for those type extensions that it knows about. Extensions are of the type ".foo", which is typically found on Windows and Unix boxes, but not on Macinthosh. Case is ignored. Example - create a new filter that filerts out all files but gif and jpg image files: JFileChooser chooser = new JFileChooser(); ExampleFileFilter filter = new ExampleFileFilter( new String{"gif", "jpg"}, "JPEG & GIF Images") chooser.addChoosableFileFilter(filter); chooser.showOpenDialog(this);

Constructor Summary
`ExampleFileFilter()` Creates a file filter.
`ExampleFileFilter(java.lang.String extension)` Creates a file filter that accepts files with the given extension.
`ExampleFileFilter(java.lang.String[] filters)` Creates a file filter from the given string array.
`ExampleFileFilter(java.lang.String[] filters, java.lang.String description)` Creates a file filter from the given string array and description.
`ExampleFileFilter(java.lang.String extension, java.lang.String description)` Creates a file filter that accepts the given file type.

Method Summary
`boolean` | `accept(java.io.File f)` Return true if this file should be shown in the directory pane, false if it shouldn't.
`void` | `addExtension(java.lang.String extension)` Adds a filetype "dot" extension to filter against.
`java.lang.String` | `getDescription()` Returns the human readable description of this filter.
`java.lang.String` | `getExtension(java.io.File f)` Return the extension portion of the file's name .
`boolean` | `isExtensionListInDescription()` Returns whether the extension list (.jpg, .gif, etc) should show up in the human readable description.
`void` | `setDescription(java.lang.String description)` Sets the human readable description of this filter.
`void` | `setExtensionListInDescription(boolean b)` Determines whether the extension list (.jpg, .gif, etc) should show up in the human readable description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExampleFileFilter

    public ExampleFileFilter()

  Creates a file filter. If no filters are added, then all files are accepted.

See Also:
  `addExtension(java.lang.String)`

### ExampleFileFilter

    public ExampleFileFilter(java.lang.String extension)

  Creates a file filter that accepts files with the given extension. Example: new ExampleFileFilter("jpg");

See Also:
  `addExtension(java.lang.String)`

### ExampleFileFilter

    public ExampleFileFilter(java.lang.String extension,
                             java.lang.String description)

  Creates a file filter that accepts the given file type. Example: new ExampleFileFilter("jpg", "JPEG Image Images"); Note that the "." before the extension is not needed. If provided, it will be ignored.

See Also:
  `addExtension(java.lang.String)`

### ExampleFileFilter

    public ExampleFileFilter(java.lang.String[] filters)

  Creates a file filter from the given string array. Example: new ExampleFileFilter(String {"gif", "jpg"}); Note that the "." before the extension is not needed adn will be ignored.

See Also:
  `addExtension(java.lang.String)`

### ExampleFileFilter

    public ExampleFileFilter(java.lang.String[] filters,
                             java.lang.String description)

  Creates a file filter from the given string array and description. Example: new ExampleFileFilter(String {"gif", "jpg"}, "Gif and JPG Images"); Note that the "." before the extension is not needed and will be ignored.

See Also:
  `addExtension(java.lang.String)`

Method Detail

### accept

    public boolean accept(java.io.File f)

  Return true if this file should be shown in the directory pane, false if it shouldn't. Files that begin with "." are ignored.

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`
  See Also:
    `getExtension(java.io.File)`, `FileFilter.accept(java.io.File)`

### getExtension

    public java.lang.String getExtension(java.io.File f)

  Return the extension portion of the file's name .

  See Also:
    `getExtension(java.io.File)`, `FileFilter.accept(java.io.File)`

### addExtension

    public void addExtension(java.lang.String extension)

  Adds a filetype "dot" extension to filter against. For example: the following code will create a filter that filters out all files except those that end in ".jpg" and ".tif": ExampleFileFilter filter = new ExampleFileFilter(); filter.addExtension("jpg"); filter.addExtension("tif"); Note that the "." before the extension is not needed and will be ignored.

### getDescription

    public java.lang.String getDescription()

  Returns the human readable description of this filter. For example: "JPEG and GIF Image Files (*.jpg, *.gif)"

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  See Also:
    `setDescription(java.lang.String)`, `setExtensionListInDescription(boolean)`, `isExtensionListInDescription()`, `FileFilter.getDescription()`

### setDescription

    public void setDescription(java.lang.String description)

  Sets the human readable description of this filter. For example: filter.setDescription("Gif and JPG Images");

  See Also:
    `setDescription(java.lang.String)`, `setExtensionListInDescription(boolean)`, `isExtensionListInDescription()`

### setExtensionListInDescription

    public void setExtensionListInDescription(boolean b)

  Determines whether the extension list (.jpg, .gif, etc) should show up in the human readable description. Only relevent if a description was provided in the constructor or using setDescription();

  See Also:
    `getDescription()`, `setDescription(java.lang.String)`, `isExtensionListInDescription()`

### isExtensionListInDescription

    public boolean isExtensionListInDescription()

  Returns whether the extension list (.jpg, .gif, etc) should show up in the human readable description. Only relevent if a description was provided in the constructor or using setDescription();

  See Also:
    `getDescription()`, `setDescription(java.lang.String)`, `setExtensionListInDescription(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD